Improve search support for books with leading numerical indicator
Assignee: Luke Murphey % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Plus_2   

Description

History

#1 - 11/24/2018 06:16 PM - Luke Murphey

- Subject changed from New Testament is double indexed to Improve search support for books with leading numerical indicator

Tried re-indexing. Now it doesn't allow searches for works with a leading one.

This works:

section:"I John 1" work:new-testament ὀφθαλμοῖς

section:"I John" work:new-testament ὀφθαλμοῖς

section:"John 12" work:new-testament ὀφθαλμοῖς

section:"John" work:new-testament ὀφθαλμοῖς

This doesn't:

section:"1 John 1" work:new-testament ὀφθαλμοῖς

section:"1 John" work:new-testament ὀφθαλμοῖς

#2 - 12/30/2018 02:33 AM - Luke Murphey

Need to implement a sub-class of Variations.

#3 - 12/30/2018 02:35 AM - Luke Murphey

- Target version changed from 3.0 to 3.1

#4 - 06/21/2019 12:11 AM - Luke Murphey

This could be likely done with a Variations class (src/reader/contentsearch.py).

#5 - 09/21/2019 04:36 AM - Luke Murphey

- Target version changed from 3.1 to Plus_2
